.visually-hidden {
  display: none;
}

.nascosto {
  display: none !important;
}

.legenda-contenitore {
  margin-top: 100px;
  margin-bottom: 10px;
  text-align: right;
}
.legenda-contenitore .legenda {
  display: flex;
  justify-content: right;
  align-items: center;
  gap: 10px;
}
.legenda-contenitore .legenda i {
  font-size: 18px;
}
.legenda-contenitore .legenda .approvato {
  color: green;
}
.legenda-contenitore .legenda .in-attesa {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: darkorange;
  color: #fff;
  border-radius: 50%;
  min-width: 22px;
  min-height: 22px;
  font-size: 12px;
}
.legenda-contenitore .legenda .rifiutato {
  color: darkred;
}

.pianificazione-contenitore .pianificazione h3 {
  color: #13a0d3;
  font-size: 35px;
  background: linear-gradient(to right, #ccd7e5 5%, #dde2e8 50%, #ffffff 100%);
  padding: 2px 10px;
  text-transform: uppercase;
}
body.la-mia-pianificazione .pianificazione-contenitore .pianificazione h3 {
  max-width: 100%;
}
@media (max-width: 959px) {
  .pianificazione-contenitore .pianificazione h3 {
    max-width: calc(100% - 50px);
    padding: 2px 0 0 10px;
  }
}
@media (max-width: 767px) {
  .pianificazione-contenitore .pianificazione h3 {
    font-size: 25px;
  }
}
.pianificazione-contenitore .pianificazione .moduletable {
  margin-bottom: 30px;
  position: relative;
}
.pianificazione-contenitore .pianificazione .moduletable .video {
  position: absolute;
  top: 0;
  right: 10px;
  font-size: 40px;
  cursor: pointer;
  display: flex;
  align-items: center;
}
@media (max-width: 959px) {
  .pianificazione-contenitore .pianificazione .moduletable .video {
    font-size: 30px;
  }
}
.pianificazione-contenitore .pianificazione .moduletable .video span {
  font-size: 14px;
}
@media (max-width: 959px) {
  .pianificazione-contenitore .pianificazione .moduletable .video span {
    display: none;
  }
}
.pianificazione-contenitore .pianificazione .moduletable .slide-all-contenitore {
  width: 100%;
  display: grid;
  justify-items: right;
}
.pianificazione-contenitore .pianificazione .moduletable .slide-all-contenitore .slide-all {
  text-align: right;
}
.pianificazione-contenitore .pianificazione .moduletable .nessuna-pianificazione {
  text-align: center;
  margin-top: 50px;
  font-size: 20px;
  font-weight: 600;
}
.pianificazione-contenitore .pianificazione .moduletable .btn.indietro {
  width: 200px;
  margin: 20px auto 0;
}
.pianificazione-contenitore .pianificazione .moduletable .btn.indietro a {
  color: #fff;
  text-decoration: none;
}
.pianificazione-contenitore .pianificazione .pianificazione-box {
  margin: 25px 0;
}
.pianificazione-contenitore .pianificazione .pianificazione-box .info-pianificazione {
  display: grid;
  align-items: center;
  text-transform: none;
  font-size: 22px;
}
.pianificazione-contenitore .pianificazione .pianificazione-box .info-pianificazione .stato {
  display: grid;
  grid-auto-flow: column;
  align-items: center;
  justify-self: center;
  font-size: 18px;
}
.pianificazione-contenitore .pianificazione .pianificazione-box .info-pianificazione .stato i {
  font-size: 35px;
  color: #003781;
}
.pianificazione-contenitore .pianificazione .pianificazione-box .info-pianificazione .slide-pianificazione {
  width: 100%;
  color: #ccd7e5;
  text-align: center;
  justify-self: right;
  cursor: pointer;
}
.pianificazione-contenitore .pianificazione .pianificazione-box .quantita-pianificata-contenitore .quantita-pianificata input.disabled {
  border: none;
}
.pianificazione-contenitore .pianificazione .articoli {
  display: flex;
  flex-direction: column;
  gap: 50px;
  margin-top: 20px;
}
.pianificazione-contenitore .pianificazione .articoli .articolo {
  display: grid;
  grid-template-columns: 0.25fr 0.25fr 0.25fr 0.25fr;
  grid-gap: 20px;
  align-content: center;
}
.pianificazione-contenitore .pianificazione .articoli .articolo .titolo {
  position: relative;
  display: flex;
  align-items: center;
  gap: 20px;
  grid-area: 1/1/2/5;
}
.pianificazione-contenitore .pianificazione .articoli .articolo .titolo::before {
  content: "";
  display: block;
  width: 30px;
  height: 25px;
  border-radius: 0 6px 6px 0;
  background: #003781;
}
.pianificazione-contenitore .pianificazione .articoli .articolo .titolo h2 a {
  color: #003781;
}
.pianificazione-contenitore .pianificazione .articoli .articolo .titolo h2 span {
  color: darkred;
  font-size: 18px;
}
.pianificazione-contenitore .pianificazione .articoli .articolo .titolo .stato-evento {
  position: absolute;
  right: 20px;
  font-size: 25px;
}
.pianificazione-contenitore .pianificazione .articoli .articolo .titolo .stato-evento.in-attesa {
  background-color: darkorange;
  color: #fff;
  border-radius: 50%;
  width: 25px;
  height: 25px;
  font-size: 16px;
  display: grid;
  align-items: center;
  justify-items: center;
}
.pianificazione-contenitore .pianificazione .articoli .articolo .titolo .stato-evento.approvato {
  color: green;
}
.pianificazione-contenitore .pianificazione .articoli .articolo .titolo .stato-evento.rifiutato {
  color: darkred;
}
.pianificazione-contenitore .pianificazione .articoli .articolo .contenuto {
  display: grid;
  align-items: center;
  justify-items: center;
  grid-template-columns: 0.25fr 0.2fr 0.35fr 0.2fr;
  grid-area: 2/1/3/5;
  margin-left: 50px;
}
@media (max-width: 1099px) {
  .pianificazione-contenitore .pianificazione .articoli .articolo .contenuto {
    margin-left: 0;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 10px;
  }
  .pianificazione-contenitore .pianificazione .articoli .articolo .contenuto .immagine {
    grid-area: 1/1/2/2;
    max-width: 100%;
  }
  .pianificazione-contenitore .pianificazione .articoli .articolo .contenuto .titolo-coin {
    grid-area: 1/2/2/3;
  }
  .pianificazione-contenitore .pianificazione .articoli .articolo .contenuto .info-contenitore {
    grid-area: 2/1/3/2;
  }
  .pianificazione-contenitore .pianificazione .articoli .articolo .contenuto .gestione-quantita {
    grid-area: 2/2/3/3;
  }
}
@media (max-width: 767px) {
  .pianificazione-contenitore .pianificazione .articoli .articolo .contenuto {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    gap: 15px;
    text-align: center;
  }
  .pianificazione-contenitore .pianificazione .articoli .articolo .contenuto .gestione-quantita {
    display: grid;
    justify-content: center;
    grid-gap: 20px;
  }
  .pianificazione-contenitore .pianificazione .articoli .articolo .contenuto > div {
    width: 100%;
  }
}
.pianificazione-contenitore .pianificazione .articoli .articolo .note-pianificazione {
  grid-area: 3/1/3/5;
}
.pianificazione-contenitore .pianificazione .articoli .articolo .note-pianificazione textarea {
  width: 100%;
  height: 150px;
  border: none;
  border-radius: 15px;
  padding: 20px;
  color: #003781;
  font-size: 16px;
  box-shadow: rgba(120, 120, 120, 0.5) 2.4px 2.4px 5.2px;
  resize: vertical;
}
.pianificazione-contenitore .pianificazione .articoli .articolo .note-pianificazione textarea.disabled {
  box-shadow: unset;
  resize: none;
}
.pianificazione-contenitore .pianificazione .articoli .articolo .immagine {
  max-width: 250px;
}
@media (max-width: 767px) {
  .pianificazione-contenitore .pianificazione .articoli .articolo .immagine {
    max-width: 100%;
  }
}
.pianificazione-contenitore .pianificazione .articoli .articolo .immagine img {
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1), 0 1px 3px rgba(0, 0, 0, 0.08);
  border-radius: 10px;
}
.pianificazione-contenitore .pianificazione .articoli .articolo .immagine-coin {
  width: 200px;
}
.pianificazione-contenitore .pianificazione .articoli .articolo .titolo-coin .titolo h2 {
  line-height: 20px;
  text-align: center;
}
.pianificazione-contenitore .pianificazione .articoli .articolo .titolo-coin .titolo h2 a {
  font-size: 18px;
  color: #003c83;
}
.pianificazione-contenitore .pianificazione .articoli .articolo .titolo-coin .coin-contenitore {
  color: #fff;
  display: grid;
  justify-content: center;
  position: relative;
}
@media (max-width: 767px) {
  .pianificazione-contenitore .pianificazione .articoli .articolo .titolo-coin .coin-contenitore .immagine-coin {
    grid-area: 1/1;
  }
}
.pianificazione-contenitore .pianificazione .articoli .articolo .titolo-coin .coin-contenitore .coin {
  position: absolute;
  bottom: 20px;
  right: 0;
  width: 100%;
  text-align: center;
}
@media (max-width: 767px) {
  .pianificazione-contenitore .pianificazione .articoli .articolo .titolo-coin .coin-contenitore .coin {
    position: unset;
    text-align: right;
    grid-area: 1/1;
    align-self: center;
    justify-self: right;
    padding-bottom: 5px;
    margin-right: 10px;
  }
}
.pianificazione-contenitore .pianificazione .articoli .articolo .info-contenitore {
  justify-self: left;
}
.pianificazione-contenitore .pianificazione .articoli .articolo .info-contenitore .info {
  margin: 5px 0;
}
.pianificazione-contenitore .pianificazione .articoli .articolo .info-contenitore .info span {
  font-weight: 700;
}
.pianificazione-contenitore .pianificazione .articoli .articolo .gestione-quantita {
  grid-area: 1/4/3/4;
  align-self: center;
  justify-self: center;
}
.pianificazione-contenitore .pianificazione .articoli .articolo .gestione-quantita .quantita-pianificata-contenitore .label {
  text-align: center;
}
.pianificazione-contenitore .pianificazione .articoli .articolo .gestione-quantita .quantita-pianificata-contenitore .quantita-pianificata {
  display: flex;
  margin: 10px 0;
}
@media (max-width: 479px) {
  .pianificazione-contenitore .pianificazione .articoli .articolo .gestione-quantita .quantita-pianificata-contenitore .quantita-pianificata {
    justify-content: center;
  }
}
.pianificazione-contenitore .pianificazione .articoli .articolo .gestione-quantita .quantita-pianificata-contenitore .quantita-pianificata input {
  padding: 2px 3px;
  text-align: center;
  width: 30px;
  margin: 0 20px;
  font-size: 20px;
}
.pianificazione-contenitore .pianificazione .articoli .articolo .gestione-quantita .quantita-pianificata-contenitore .quantita-pianificata input.disabled {
  border: none;
}
.pianificazione-contenitore .pianificazione .articoli .articolo .gestione-quantita .quantita-pianificata-contenitore .quantita-pianificata .btn {
  font-size: 40px;
  width: 40px;
}
.pianificazione-contenitore .pianificazione .articoli .articolo .gestione-quantita .quantita-pianificata-contenitore .note-pianificazione textarea {
  padding: 2px 3px;
  width: 100%;
  height: 60px;
}

.invia-pianificazione-contenitore,
.salva-pianificazioni-contenitore {
  position: fixed;
  left: 50%;
  transform: translateX(-50%);
  bottom: 0;
  background-color: transparent;
  width: 100%;
}
.invia-pianificazione-contenitore .invia-box,
.salva-pianificazioni-contenitore .invia-box {
  display: flex;
  justify-content: space-around;
  gap: 20px;
}
.invia-pianificazione-contenitore .btn,
.salva-pianificazioni-contenitore .btn {
  width: 100%;
  border-radius: 15px 15px 0 0;
  box-shadow: rgba(0, 0, 0, 0.3) 0px -19px 38px, rgba(0, 0, 0, 0.22) 0px -15px 12px;
}
@media (max-width: 767px) {
  .invia-pianificazione-contenitore .btn,
  .salva-pianificazioni-contenitore .btn {
    font-size: 14px;
    text-align: center;
  }
}
.invia-pianificazione-contenitore .btn a,
.salva-pianificazioni-contenitore .btn a {
  color: #fff;
  width: 100%;
  text-align: center;
}

.video-popup-contenitore {
  position: fixed;
  top: 0;
  left: 0;
  background: #000;
  height: 100vh;
  width: 100vw;
  z-index: 1000;
}
.video-popup-contenitore .chiudi-video {
  position: relative;
  z-index: 1001;
  text-align: right;
  padding: 10px;
  color: white;
  font-size: 25px;
  cursor: pointer;
}

#iframe-vimeo {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.filtri-pianificazione-contenitore .filtri-pianificazione .filtri-contenitore {
  margin-top: 50px;
  margin-bottom: 25px;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 10px;
}
.filtri-pianificazione-contenitore .filtri-pianificazione .filtri-contenitore input {
  min-width: 320px;
  padding: 0.75rem 10px;
  border: 1px solid #e0e0e0;
  border-radius: 8px;
  background: #ccd7e6;
  font-size: 14px;
  color: #003781;
  transition: border-color 0.3s ease, background-color 0.3s ease;
}

.btn {
  cursor: pointer;
  border-radius: 8px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 25px;
  color: #FFFFFF;
  background: #003781;
}
.btn.disattivo {
  background: #ccd7e5;
}
